Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.manager
Interface RepositorySession

All Superinterfaces
  Serializable

Deprecated Replaced with `ContentManagerFactory` Use federated layer for repository connectivity.

    @Deprecated
    public interface RepositorySession

extends Serializable

Defines the state of the attempted connection to a Repository.

Field Summary
`static int` | `AUTHENTICATED` Deprecated The Credentials were successfully authenticated against the Repository.
`static int` | `AUTHENTICATION_ERROR` Deprecated An error occurred that did not permit authentication of the Credentials against the Repository.
`static int` | `AUTHENTICATION_FAILED` Deprecated The Credentials failed authentication against the Repository.
`static int` | `NOT_AUTHENTICATED` Deprecated The Credentials have not been successfully authenticated against the Repository.

Method Summary
`String` | `getRepositoryName()` Deprecated Returns the display name of the Repository.
`int` | `getState()` Deprecated Returns the state of this RepositorySession.

Field Detail

### AUTHENTICATED

    static final int AUTHENTICATED

  Deprecated
  The Credentials were successfully authenticated against the Repository.

  See Also
    Constants Summary

### NOT_AUTHENTICATED

    static final int NOT_AUTHENTICATED

  Deprecated
  The Credentials have not been successfully authenticated against the Repository.

  See Also
    Constants Summary

### AUTHENTICATION_FAILED

    static final int AUTHENTICATION_FAILED

  Deprecated
  The Credentials failed authentication against the Repository.

  See Also
    Constants Summary

### AUTHENTICATION_ERROR

    static final int AUTHENTICATION_ERROR

  Deprecated
  An error occurred that did not permit authentication of the Credentials against the Repository.

  See Also
    Constants Summary

Method Detail

### getRepositoryName

    String getRepositoryName()

  Deprecated
  Returns the display name of the Repository.

### getState

    int getState()

  Deprecated
  Returns the state of this RepositorySession.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.